Open Infrastructure - Task #6876

Task # 6869 (Rejected): Challenge OpenStack and OpenNebula with ucloud
Define ucloud JSON formats

06/24/2019 02:19 PM - Nico Schottelius

Status: Closed Start date: 06/24/2019
Priority: Normal Due date:

Assignee: Ahmed Bilal % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description
For VMs, networks, etc.

VMs

Networks

History

#1 - 06/25/2019 11:54 AM - Nico Schottelius

- Assignee changed from Nico Schottelius to Ahmed Bilal

Ahmed, please fill in current format used for VMs

#2 - 06/25/2019 12:15 PM - Ahmed Bilal

VM JSON
{
"owner": "ahmedbilal-admin",
"specs": {
"cpu": 20,
"ram": 2,
"hdd": 10,
"sdd": 10
}I
"hostname": "",
"status": "REQUESTED_NEW"

#3 - 06/29/2019 03:22 PM - Ahmed Bilal
File JSON

"filename":"ak/lion. jpg",

"owner":"meow",

"shabl2sum":"49£2f097b8e68ac7e22033e6£66af447deed81£5314c1d1la893915a83£402a7602b920d10dcdd0eb2b5d770848202
adb9£4991455aaf76a9£950658d£f3bb0152",

"creation_date":"Sat Jun 29 15:17:53 2019",

"size_in_bytes":14514

#4 - 06/29/2019 05:43 PM - Nico Schottelius

Rename "size" to "size_in_bytes"

redmine@ungleich.ch writes:
#5 - 06/30/2019 05:08 PM - Ahmed Bilal

- Status changed from In Progress to Feedback
#6 - 07/04/2019 11:16 AM - Ahmed Bilal
@Nico Schottelius | think it is best to document these things on ucloud-wiki only because it would be easier to maintain/update a single Wiki then

distributed issues + chats etc.

#7 - 07/04/2019 02:18 PM - Ahmed Bilal
- Status changed from Feedback to Closed
